List uploaded documents
curl --request GET \
--url https://api.example.com/api/v1/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"documents": [
{
"id": "<string>",
"type": "certificate_of_incorporation",
"name": "<string>",
"originName": "<string>",
"link": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"issueDate": "2023-12-25",
"expiryDate": "2023-12-25",
"content": {},
"dakotaId": "<string>",
"signature": {
"state": "draft",
"signatureRequestId": "<string>",
"signerEmails": [
"<string>"
],
"lastSignerEmail": "<string>",
"testMode": false
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}documents
List uploaded documents
List user-uploaded documents by filter type.
GET
/
api
/
v1
/
documents
List uploaded documents
curl --request GET \
--url https://api.example.com/api/v1/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"documents": [
{
"id": "<string>",
"type": "certificate_of_incorporation",
"name": "<string>",
"originName": "<string>",
"link": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"issueDate": "2023-12-25",
"expiryDate": "2023-12-25",
"content": {},
"dakotaId": "<string>",
"signature": {
"state": "draft",
"signatureRequestId": "<string>",
"signerEmails": [
"<string>"
],
"lastSignerEmail": "<string>",
"testMode": false
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Document filter type, e.g. 'uploaded'
Response
Successful Response
Response for user-uploaded documents list.
Show child attributes
Show child attributes
Was this page helpful?